=== debian/changelog ===
nvidia-cuda-toolkit (9.1.85-8~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Jan 2019 16:07:19 +0100

nvidia-cuda-toolkit (9.1.85-8) unstable; urgency=medium

  * libnppc9.1: Abuse this high scoring package and add Conflicts/Breaks
    against nvidia-libopencl1 and older nvidia-opencl-dev to enforce
    switching to ocl-icd-opencl-dev on nvidia-cuda-toolkit upgrades.
  * Bump Standards-Version to 4.3.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Dec 2018 14:10:43 +0100

nvidia-cuda-toolkit (9.1.85-7~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Use openjdk-8-jre for stretch.
  * Do not build nvidia-openjdk-8-jre for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Dec 2018 20:45:14 +0100

nvidia-cuda-toolkit (9.1.85-7) unstable; urgency=medium

  * d/rules: Simplify shifting around the unpacked contents.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 09 Dec 2018 04:57:24 +0100

nvidia-cuda-toolkit (9.1.85-6) unstable; urgency=medium

  * nvidia-opencl-dev: Add Breaks: nvidia-libopencl1 for a smoother transition
    to ocl-icd-opencl-dev.
  * *.symbols: Add Build-Depends-Package.
  * Switch to debhelper-compat (= 11).
  * Add debian/rules targets for archiving the tarballs in a separate
    repository using sparse checkouts and git-lfs as storage backend.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 08 Dec 2018 12:42:30 +0100

nvidia-cuda-toolkit (9.1.85-5) unstable; urgency=medium

  * Add nvidia-openjdk-8-jre package shipping the JRE binaries.
  * Use it as JRE for nvidia-visual-profiler and nvidia-nsight on amd64.
    (Closes: #900300)
  * Do not build nvidia-visual-profiler and nvidia-nsight on ppc64el.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Sep 2018 20:22:22 +0200

nvidia-cuda-toolkit (9.1.85-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Jun 2018 15:04:43 +0200

nvidia-cuda-toolkit (9.1.85-4) unstable; urgency=medium

  * Visual Profiler and Nsight do not work with default-jre,
    so let nvidia-visual-profiler and nvidia-nsight packages depend on
    openjdk-8-jre and set JAVA_HOME in the nvvp and nsight wrappers
    (LP: #1766948)
  * Let nvidia-profiler depend on libaccinj64-${cuda:SoVersion}

 -- Graham Inggs <ginggs@debian.org>  Wed, 02 May 2018 12:46:27 +0000

nvidia-cuda-toolkit (9.1.85-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Drop libOpenCL.so symlink from nvidia-opencl-dev

  [ Andreas Beckmann ]
  * Switch Vcs-* URLs to salsa.debian.org.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Mar 2018 07:01:23 +0100

nvidia-cuda-toolkit (9.1.85-2) experimental; urgency=medium

  * Let nvidia-opencl-dev depend on ocl-icd-opencl-dev.
    nvidia-libopencl1 only supports up to OpenCL 2.0 and therefore requires
    (no longer available) opencl-c-headers (<< 2.1~) or applications that
    don't use features newer than OpenCL 2.0 (even if the headers declare
    support for newer standards.)  (Closes: #889287)
  * Build the libthrust-dev package. The embedded copy is newer than the last
    release on github.
  * Add clang-4.0 as a supported compiler alternative.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 17:27:30 +0100

nvidia-cuda-toolkit (9.1.85-1) experimental; urgency=medium

  * New upstream release 9.1 (Dec 2017).  (Closes: #887701)
  * debian/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 9.0 => 9.1, rename all library packages.
  * Refresh patches.
  * Place the documentation in /usr/share/doc/nvidia-cuda-toolkit/.
  * Require libopencl-2.0-1 as alternative.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Jan 2018 17:26:32 +0100

nvidia-cuda-toolkit (9.0.176-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (no changes needed).
  * Switch to debhelper compat level 11.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jan 2018 15:01:38 +0100

nvidia-cuda-toolkit (9.0.176-1) experimental; urgency=medium

  * New upstream release 9.0 (Sept 2017).  (Closes: #862522)
  * debian/copyright: Synchronize with updated EULA.txt.
  * Remove libnppi8.0. The full sized library was split up into multiple
    libraries in 8.0 and is now deprecated by upstream.
  * SOVERSION bump: 8.0 => 9.0, rename all library packages.
  * libaccinj64-9.0: New package for the 64-bit ACCINJ library.
  * Update installation paths.
  * Simplify symbols control files and use wildcard matching on symbol
    versions now that upstream uses versioned symbols.
  * Update symbols control files.
  * Refresh patches.
  * man-typos.patch: Fix more misspellings.
  * Fix packaging for ppc64el.
  * Use gcc-6/g++-6 as preferred compiler and clang-3.9 as alternative.
    (Closes: #873468, #864840)
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Nov 2017 00:26:06 +0100

nvidia-cuda-toolkit (8.0.61-3) unstable; urgency=medium

  * Use dpkg makefile snippets instead of manual changelog parsing.
  * Add monolithic cuda tree shim in /usr/lib/cuda/.
    Use for 'clang++ --cuda-path=/usr/lib/cuda'.  (LP: #1706326)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Nov 2017 05:23:45 +0100

nvidia-cuda-toolkit (8.0.61-2) unstable; urgency=medium

  * Set Priority to optional.
  * Switch from dh_install --list-missing to dh_missing.
  * Ship some overlooked files and drop some removed docs.
  * Factor out a build-stamp target and prepare the tree in build/.
  * Convert packaging repository from SVN to GIT.
  * Add gbp.conf to enable overlay mode.
  * Add get-tarball-dir target to checkout the tarball archive from SVN.

